% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mesh_1d.R
\name{fm_as_mesh_1d}
\alias{fm_as_mesh_1d}
\alias{fm_as_mesh_1d_list}
\alias{fm_as_mesh_1d.fm_mesh_1d}
\alias{fm_as_mesh_1d.inla.mesh.1d}
\title{Convert objects to \code{fm_segm}}
\usage{
fm_as_mesh_1d(x, ...)

fm_as_mesh_1d_list(x, ...)

\method{fm_as_mesh_1d}{fm_mesh_1d}(x, ...)

\method{fm_as_mesh_1d}{inla.mesh.1d}(x, ...)
}
\arguments{
\item{x}{Object to be converted}

\item{...}{Arguments passed on to submethods}
}
\value{
An \code{fm_mesh_1d} or \code{fm_mesh_1d_list} object
}
\description{
Convert objects to \code{fm_segm}
}
\section{Functions}{
\itemize{
\item \code{fm_as_mesh_1d()}: Convert an object to \code{fm_mesh_1d}.

\item \code{fm_as_mesh_1d_list()}: Convert each element of a list

}}
\examples{
fm_as_mesh_1d_list(list(fm_mesh_1d(1:4)))
}
\seealso{
Other object creation and conversion: 
\code{\link{fm_as_collect}()},
\code{\link{fm_as_fm}()},
\code{\link{fm_as_lattice_2d}()},
\code{\link{fm_as_lattice_Nd}()},
\code{\link{fm_as_mesh_2d}()},
\code{\link{fm_as_mesh_3d}()},
\code{\link{fm_as_segm}()},
\code{\link{fm_as_sfc}()},
\code{\link{fm_as_tensor}()},
\code{\link{fm_collect}()},
\code{\link{fm_lattice_2d}()},
\code{\link{fm_lattice_Nd}()},
\code{\link{fm_mesh_1d}()},
\code{\link{fm_mesh_2d}()},
\code{\link{fm_segm}()},
\code{\link{fm_simplify}()},
\code{\link{fm_tensor}()}
}
\concept{object creation and conversion}
