% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mesh_2d.R, R/mesh_3d.R, R/sf_mesh.R
\name{fm_as_mesh_2d}
\alias{fm_as_mesh_2d}
\alias{fm_as_mesh_2d_list}
\alias{fm_as_mesh_2d.fm_mesh_2d}
\alias{fm_as_mesh_2d.inla.mesh}
\alias{fm_as_mesh_2d.fm_mesh_3d}
\alias{fm_as_mesh_2d.sfg}
\alias{fm_as_mesh_2d.sfc_MULTIPOLYGON}
\alias{fm_as_mesh_2d.sfc_POLYGON}
\alias{fm_as_mesh_2d.sf}
\title{Convert objects to \code{fm_mesh_2d}}
\usage{
fm_as_mesh_2d(x, ...)

fm_as_mesh_2d_list(x, ...)

\method{fm_as_mesh_2d}{fm_mesh_2d}(x, ...)

\method{fm_as_mesh_2d}{inla.mesh}(x, ...)

\method{fm_as_mesh_2d}{fm_mesh_3d}(x, ...)

\method{fm_as_mesh_2d}{sfg}(x, ...)

\method{fm_as_mesh_2d}{sfc_MULTIPOLYGON}(x, ...)

\method{fm_as_mesh_2d}{sfc_POLYGON}(x, ...)

\method{fm_as_mesh_2d}{sf}(x, ...)
}
\arguments{
\item{x}{Object to be converted}

\item{...}{Arguments passed on to submethods}
}
\value{
An \code{fm_mesh_2d} or \code{fm_mesh_2d_list} object
}
\description{
Convert objects to \code{fm_mesh_2d}
}
\section{Methods (by class)}{
\itemize{
\item \code{fm_as_mesh_2d(fm_mesh_3d)}: Construct a 2D mesh of the boundary of a 3D mesh

}}
\section{Functions}{
\itemize{
\item \code{fm_as_mesh_2d()}: Convert an object to \code{fm_mesh_2d}.

\item \code{fm_as_mesh_2d_list()}: Convert each element of a list

}}
\examples{
fm_as_mesh_2d_list(list(fm_mesh_2d(cbind(2, 1))))
}
\seealso{
Other object creation and conversion: 
\code{\link{fm_as_collect}()},
\code{\link{fm_as_fm}()},
\code{\link{fm_as_lattice_2d}()},
\code{\link{fm_as_lattice_Nd}()},
\code{\link{fm_as_mesh_1d}()},
\code{\link{fm_as_mesh_3d}()},
\code{\link{fm_as_segm}()},
\code{\link{fm_as_sfc}()},
\code{\link{fm_as_tensor}()},
\code{\link{fm_collect}()},
\code{\link{fm_lattice_2d}()},
\code{\link{fm_lattice_Nd}()},
\code{\link{fm_mesh_1d}()},
\code{\link{fm_mesh_2d}()},
\code{\link{fm_segm}()},
\code{\link{fm_simplify}()},
\code{\link{fm_tensor}()}
}
\concept{object creation and conversion}
