% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mesh_3d.R
\name{fm_as_mesh_3d}
\alias{fm_as_mesh_3d}
\alias{fm_as_mesh_3d_list}
\alias{fm_as_mesh_3d.fm_mesh_3d}
\title{Convert objects to \code{fm_mesh_3d}}
\usage{
fm_as_mesh_3d(x, ...)

fm_as_mesh_3d_list(x, ...)

\method{fm_as_mesh_3d}{fm_mesh_3d}(x, ...)
}
\arguments{
\item{x}{Object to be converted}

\item{...}{Arguments passed on to submethods}
}
\value{
An \code{fm_mesh_3d} or \code{fm_mesh_3d_list} object
}
\description{
Convert objects to \code{fm_mesh_3d}
}
\section{Functions}{
\itemize{
\item \code{fm_as_mesh_3d()}: Convert an object to \code{fm_mesh_3d}.

\item \code{fm_as_mesh_3d_list()}: Convert each element of a list

}}
\examples{
(m <- fm_mesh_3d(
  matrix(c(1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0), 4, 3, byrow = TRUE),
  matrix(c(1, 2, 3, 4), 1, 4, byrow = TRUE)
))
fm_as_mesh_3d_list(list(m))
}
\seealso{
Other object creation and conversion: 
\code{\link{fm_as_collect}()},
\code{\link{fm_as_fm}()},
\code{\link{fm_as_lattice_2d}()},
\code{\link{fm_as_lattice_Nd}()},
\code{\link{fm_as_mesh_1d}()},
\code{\link{fm_as_mesh_2d}()},
\code{\link{fm_as_segm}()},
\code{\link{fm_as_sfc}()},
\code{\link{fm_as_tensor}()},
\code{\link{fm_collect}()},
\code{\link{fm_lattice_2d}()},
\code{\link{fm_lattice_Nd}()},
\code{\link{fm_mesh_1d}()},
\code{\link{fm_mesh_2d}()},
\code{\link{fm_segm}()},
\code{\link{fm_simplify}()},
\code{\link{fm_tensor}()}
}
\concept{object creation and conversion}
