% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tensor.R
\name{fm_as_tensor}
\alias{fm_as_tensor}
\alias{fm_as_tensor_list}
\alias{fm_as_tensor.fm_tensor}
\title{Convert objects to \code{fm_tensor}}
\usage{
fm_as_tensor(x, ...)

fm_as_tensor_list(x, ...)

\method{fm_as_tensor}{fm_tensor}(x, ...)
}
\arguments{
\item{x}{Object to be converted}

\item{...}{Arguments passed on to submethods}
}
\value{
An \code{fm_tensor} object
}
\description{
Convert objects to \code{fm_tensor}
}
\section{Functions}{
\itemize{
\item \code{fm_as_tensor()}: Convert an object to \code{fm_tensor}.

\item \code{fm_as_tensor_list()}: Convert each element of a list

}}
\examples{
fm_as_tensor_list(list(fm_tensor(list())))

}
\seealso{
Other object creation and conversion: 
\code{\link{fm_as_collect}()},
\code{\link{fm_as_fm}()},
\code{\link{fm_as_lattice_2d}()},
\code{\link{fm_as_lattice_Nd}()},
\code{\link{fm_as_mesh_1d}()},
\code{\link{fm_as_mesh_2d}()},
\code{\link{fm_as_mesh_3d}()},
\code{\link{fm_as_segm}()},
\code{\link{fm_as_sfc}()},
\code{\link{fm_collect}()},
\code{\link{fm_lattice_2d}()},
\code{\link{fm_lattice_Nd}()},
\code{\link{fm_mesh_1d}()},
\code{\link{fm_mesh_2d}()},
\code{\link{fm_segm}()},
\code{\link{fm_simplify}()},
\code{\link{fm_tensor}()}
}
\concept{object creation and conversion}
