% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/crs.R
\name{fm_crs<-}
\alias{fm_crs<-}
\alias{fm_crs_oblique<-}
\alias{fm_crs<-.NULL}
\alias{fm_crs_oblique<-.NULL}
\alias{fm_crs<-.fm_segm}
\alias{fm_crs<-.fm_list}
\alias{fm_crs<-.fm_mesh_2d}
\alias{fm_crs<-.fm_collect}
\alias{fm_crs<-.fm_lattice_2d}
\alias{fm_crs<-.sf}
\alias{fm_crs<-.sfg}
\alias{fm_crs<-.sfc}
\alias{fm_crs<-.Spatial}
\alias{fm_crs_oblique<-.crs}
\alias{fm_crs_oblique<-.CRS}
\alias{fm_crs_oblique<-.fm_CRS}
\alias{fm_crs_oblique<-.fm_crs}
\alias{fm_crs_oblique<-.fm_segm}
\alias{fm_crs_oblique<-.fm_mesh_2d}
\alias{fm_crs_oblique<-.fm_collect}
\alias{fm_crs_oblique<-.fm_lattice_2d}
\alias{fm_crs_oblique<-.inla.CRS}
\title{Assignment operators for crs information objects}
\usage{
fm_crs(x) <- value

fm_crs_oblique(x) <- value

## S3 replacement method for class 'NULL'
fm_crs(x) <- value

## S3 replacement method for class 'NULL'
fm_crs_oblique(x) <- value

\method{fm_crs}{fm_segm}(x) <- value

\method{fm_crs}{fm_list}(x) <- value

\method{fm_crs}{fm_mesh_2d}(x) <- value

\method{fm_crs}{fm_collect}(x) <- value

\method{fm_crs}{fm_lattice_2d}(x) <- value

\method{fm_crs}{sf}(x) <- value

\method{fm_crs}{sfg}(x) <- value

\method{fm_crs}{sfc}(x) <- value

\method{fm_crs}{Spatial}(x) <- value

\method{fm_crs_oblique}{crs}(x) <- value

\method{fm_crs_oblique}{CRS}(x) <- value

\method{fm_crs_oblique}{fm_CRS}(x) <- value

\method{fm_crs_oblique}{fm_crs}(x) <- value

\method{fm_crs_oblique}{fm_segm}(x) <- value

\method{fm_crs_oblique}{fm_mesh_2d}(x) <- value

\method{fm_crs_oblique}{fm_collect}(x) <- value

\method{fm_crs_oblique}{fm_lattice_2d}(x) <- value

\method{fm_crs_oblique}{inla.CRS}(x) <- value
}
\arguments{
\item{x}{Object to assign crs information to}

\item{value}{For \verb{fm_crs<-()}, object supported by \code{fm_crs(value)}.

For \verb{fm_crs_oblique<-()}, \code{NA} or a numeric vector, see the \code{oblique}
argument for \code{\link[=fm_crs]{fm_crs()}}. For assignment, \code{NULL} is treated as \code{NA}.}
}
\value{
The modified object
}
\description{
Assigns new crs information.
}
\section{Functions}{
\itemize{
\item \code{fm_crs(x) <- value}: Automatically converts the input value with
\code{fm_crs(value)}, \code{fm_crs(value, oblique = NA)},
\code{fm_CRS(value)}, or \code{fm_CRS(value, oblique = NA)},
depending on the type of \code{x}.

\item \code{fm_crs_oblique(x) <- value}: Assigns new \code{oblique} information.

}}
\examples{
x <- fm_segm()
fm_crs(x) <- fm_crs("+proj=longlat")
fm_crs(x)$proj4string
}
\seealso{
\code{\link[=fm_crs]{fm_crs()}}
}
