% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/integration.R
\name{fm_int_mesh_2d_core}
\alias{fm_int_mesh_2d_core}
\title{Integration scheme for mesh triangle interiors}
\usage{
fm_int_mesh_2d_core(mesh, tri_subset = NULL, nsub = NULL)
}
\arguments{
\item{mesh}{Mesh on which to integrate}

\item{tri_subset}{Optional triangle index vector for integration on a subset
of the mesh triangles (Default \code{NULL})}

\item{nsub}{number of subdivision points along each triangle edge, giving
\code{(nsub + 1)^2} proto-integration points used to compute
the vertex weights
(default \code{nsub=9}, giving 100 integration points for each triangle)}
}
\value{
\code{tibble} with columns \code{loc} and \code{weight} with
integration points for the mesh
}
\description{
Integration scheme for mesh triangle interiors
}
\examples{
str(fm_int_mesh_2d_core(fmexample$mesh))

}
\author{
Finn Lindgren \href{mailto:Finn.Lindgren@gmail.com}{Finn.Lindgren@gmail.com}
}
\keyword{internal}
