% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mesh.R
\name{fm_mesh_intersection}
\alias{fm_mesh_intersection}
\title{Construct the intersection mesh of a mesh and a polygon}
\usage{
fm_mesh_intersection(mesh, poly)
}
\arguments{
\item{mesh}{\code{fm_mesh_2d} object to be intersected}

\item{poly}{\code{fm_segm} object with a closed polygon
to intersect with the mesh}
}
\value{
An \link{fm_mesh_2d} object
}
\description{
Construct the intersection mesh of a mesh and a polygon
}
\examples{
segm <- fm_segm(rbind(c(-4, -4), c(4, -4), c(0, 4)),
  is.bnd = TRUE
)
str(m <- fm_mesh_intersection(fmexample$mesh, segm))
plot(fmexample$mesh)
lines(segm, col = 4)
plot(m, edge.color = 2, add = TRUE)
}
\author{
Finn Lindgren \href{mailto:Finn.Lindgren@gmail.com}{Finn.Lindgren@gmail.com}
}
\keyword{internal}
