% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fmesher-package.R
\docType{package}
\name{fmesher-package}
\alias{fmesher}
\alias{fmesher-package}
\title{fmesher: Triangle Meshes and Related Geometry Tools}
\description{
Generate planar and spherical triangle meshes, compute finite element calculations for 1-, 2-, and 3-dimensional flat and curved manifolds with associated basis function spaces, methods for lines and polygons, and transparent handling of coordinate reference systems and coordinate transformation, including 'sf' and 'sp' geometries. The core 'fmesher' library code was originally part of the 'INLA' package, and implements parts of "Triangulations and Applications" by Hjelle and Daehlen (2006) \doi{10.1007/3-540-33261-8}.
}
\seealso{
Useful links:
\itemize{
  \item \url{https://inlabru-org.github.io/fmesher/}
  \item \url{https://github.com/inlabru-org/fmesher}
  \item Report bugs at \url{https://github.com/inlabru-org/fmesher/issues}
}

}
\author{
\strong{Maintainer}: Finn Lindgren \email{finn.lindgren@gmail.com} (\href{https://orcid.org/0000-0002-5833-2011}{ORCID}) (Finn Lindgren wrote the main code) [copyright holder]

Other contributors:
\itemize{
  \item Seaton Andy \email{andy.e.seaton@gmail.com} (Andy Seaton constributed features to the sf support) [contributor]
  \item Suen Man Ho \email{M.H.Suen@sms.ed.ac.uk} (Man Ho Suen contributed features and code structure design for the integration methods) [contributor]
  \item Fabian E. Bachl \email{bachlfab@gmail.com} (Fabian Bachl co-developed precursors of fm_pixels and fm_split_lines in inlabru) [contributor]
}

}
\keyword{internal}
