% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/print.R, R/crs.R
\name{fmesher-print}
\alias{fmesher-print}
\alias{print.fm_segm}
\alias{print.fm_segm_list}
\alias{print.fm_list}
\alias{print.fm_mesh_2d}
\alias{print.fm_mesh_3d}
\alias{print.fm_mesh_1d}
\alias{print.fm_bbox}
\alias{print.fm_tensor}
\alias{print.fm_collect}
\alias{print.fm_lattice_2d}
\alias{print.fm_lattice_Nd}
\alias{print.fm_crs}
\alias{print.fm_CRS}
\title{Print objects}
\usage{
\method{print}{fm_segm}(x, ..., digits = NULL, verbose = TRUE, newline = TRUE)

\method{print}{fm_segm_list}(x, ..., digits = NULL, verbose = FALSE, newline = TRUE)

\method{print}{fm_list}(x, ..., digits = NULL, verbose = FALSE, newline = TRUE)

\method{print}{fm_mesh_2d}(x, ..., digits = NULL, verbose = FALSE)

\method{print}{fm_mesh_3d}(x, ..., digits = NULL, verbose = FALSE)

\method{print}{fm_mesh_1d}(x, ..., digits = NULL, verbose = FALSE)

\method{print}{fm_bbox}(x, ..., digits = NULL, verbose = TRUE, newline = TRUE)

\method{print}{fm_tensor}(x, ..., digits = NULL, verbose = FALSE)

\method{print}{fm_collect}(x, ..., digits = NULL, verbose = FALSE)

\method{print}{fm_lattice_2d}(x, ..., digits = NULL, verbose = FALSE)

\method{print}{fm_lattice_Nd}(x, ..., digits = NULL, verbose = FALSE)

\method{print}{fm_crs}(x, ...)

\method{print}{fm_CRS}(x, ...)
}
\arguments{
\item{x}{an object used to select a method.}

\item{\dots}{further arguments passed to or from other methods.}

\item{digits}{a positive integer indicating how many significant digits are
to be used for numeric and complex x. The default, NULL, uses
\code{getOption("digits")}.}

\item{verbose}{logical}

\item{newline}{logical; if \code{TRUE} (default), end the printing with \verb{\\n}}
}
\value{
The input object \code{x}
}
\description{
Print objects
}
\examples{
fm_bbox(matrix(1:6, 3, 2))
print(fm_bbox(matrix(1:6, 3, 2)), verbose = FALSE)

print(fmexample$mesh)
print(fmexample$boundary_fm)

print(fm_mesh_1d(c(1, 2, 3, 5, 7), degree = 2))
}
